[med-svn] [Git][med-team/q2-types][master] Add autopkgtest

Liubov Chuprikova gitlab at salsa.debian.org
Fri Mar 29 16:00:24 GMT 2019



Liubov Chuprikova pushed to branch master at Debian Med / q2-types


Commits:
a1a03977 by Liubov Chuprikova at 2019-03-29T16:00:02Z
Add autopkgtest

- - - - -


2 changed files:

- debian/tests/control
- debian/tests/run-unit-test


Changes:

=====================================
debian/tests/control
=====================================
@@ -1,3 +1,3 @@
 Tests: run-unit-test
-Depends: @
+Depends: @, python3-pytest-cov
 Restrictions: allow-stderr


=====================================
debian/tests/run-unit-test
=====================================
@@ -1,18 +1,23 @@
 #!/bin/bash
 set -e
 
-pkg=#PACKAGENAME#
+pkg=q2_types
 
 if [ "${AUTOPKGTEST_TMP}" = "" ] ; then
   AUTOPKGTEST_TMP=$(mktemp -d /tmp/${pkg}-test.XXXXXX)
-  # Double quote below to expand the temporary directory variable now versus
-  # later is on purpose.
-  # shellcheck disable=SC2064
   trap "rm -rf ${AUTOPKGTEST_TMP}" 0 INT QUIT ABRT PIPE TERM
 fi
 
-cp -a /usr/share/doc/${pkg}/examples/* "${AUTOPKGTEST_TMP}"
+cp -a /usr/lib/python3/dist-packages/${pkg}* "${AUTOPKGTEST_TMP}"
 
 cd "${AUTOPKGTEST_TMP}"
 
-#do_stuff_to_test_package#
+
+if [ ! -e /usr/bin/py.test-3 ] ; then
+	echo "Please install package python3-pytest-cov to run this script"
+	exit 1
+fi
+
+
+# Run build-time tests
+py.test-3 --cov=q2_types



View it on GitLab: https://salsa.debian.org/med-team/q2-types/commit/a1a039779136b5d15b20d548761b4feb1677c407

-- 
View it on GitLab: https://salsa.debian.org/med-team/q2-types/commit/a1a039779136b5d15b20d548761b4feb1677c407
You're receiving this email because of your account on salsa.debian.org.

-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/debian-med-commit/attachments/20190329/8d59b40b/attachment-0001.html>


More information about the debian-med-commit mailing list